<?php

namespace Drupal\protected_download;

interface LinkGeneratorInterface
{

 /**
  * Generates a HMAC protected URL for the given file.
  *
  * @param string $uri
  *   The file uri, e.g., private://ticket-12345.pdf.
  * @param int $expire
  *   (Optional) The expiry date as a UNIX timestamp.
  *
  * @return \Drupal\Core\Url
  */
  public function generate($uri, $expire = NULL);

}
